using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using TopWinCMS.Model;
using TopWinCMS.BLL;
using TopWinCMS.Common;
public partial class Member_Addmoney : TopWinCMS.BLL.PageFactory.Pages.ClientPublicPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Title = Config.SiteName + " → 会员中心 → 交费确认";
        if (MemberRightsCheck.IsLogined == false)
        {
            MsgBox.Alert("登录超时，请重新登录。", "Login.aspx");
        }
        else
        {
            if (!IsPostBack)
            {
                if (Request["Action"] == null)
                {
                    LB_Path.Text = "发送确认";
                }
            }
        }
    }
    protected void BT_OK_Click(object sender, EventArgs e)
    {
        BusinessInfo model = new BusinessInfo();
       model.flag = 0;
       model.DateTime =DateTime.Parse( TB_DateTime.Text);
       model.Customer = TB_Customer.Text;
       model.PayMoney =decimal.Parse( TB_PayMoney.Text);
       
       model.Indent = TB_Indent.Text;
       model.MemberID = MemberLoginInfo.MemberID;
       for (int i = 0; i < RBL_PayMent.Items.Count; i++)
       {
           if (RBL_PayMent.Items[i].Selected == true)
           {
               model.Remark = "汇款方式："+RBL_PayMent.Items[i].Text+"\r\n"+TB_Remark.Text;
               break;
           }
       }

       new BusinessManage().Add(model);
       MsgBox.Alert("添加成功！", "Addmoney.aspx");
    }
}
